whirr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Graham Gear (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (WHIRR-677) Whirr fails to install CDH4 nodemanager properly
Date Fri, 02 Nov 2012 17:31:12 GMT

    [ https://issues.apache.org/jira/browse/WHIRR-677?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13489566#comment-13489566

Graham Gear commented on WHIRR-677:

Thanks for raising this and good job getting to the bottom of the issue.

A recent patch committed against WHIRR-675 will resolve this, so from 0.8.2 onwards you will
not have to upper case the whirr.env variables and issues like this will not eventuate.
> Whirr fails to install CDH4 nodemanager properly
> ------------------------------------------------
>                 Key: WHIRR-677
>                 URL: https://issues.apache.org/jira/browse/WHIRR-677
>             Project: Whirr
>          Issue Type: Bug
>          Components: core
>    Affects Versions: 0.8.1
>         Environment: ubuntu 12.04, 11.10, 11.04
> CHD4
>            Reporter: ravi bhatt
> Whirr fails to install yarn-nodemanager on designated machines. It creates a yarn-nodemanager
service and attempts to start it but it fails as it cannot find /usr/lib/hadoop-mapreduce
folder. This folder is installed as part of YARN mapreduce. It installs hadoop-mapreduce-0.20.

> The problems seems to come from property files. Even after specifying 
> whirr.env.mapreduce_version=2
> It fails to install hadoop-mapreduce. On some investigation i found that this variable
needs to be converted to UPPER CASE as all other variable in subsequent scripts. 
> If i put 
> it works. 
> Someone please take a not and correct this.

This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

View raw message